/**
 * 
 */
package de.mpiwg.itgroup.annotations.restlet;

import org.apache.log4j.Logger;
import org.restlet.Context;
import org.restlet.Restlet;
import org.restlet.routing.Router;

/**
 * @author casties
 * 
 */
public class AnnotationStoreRestlet extends BaseRestlet {

    public final String version = "AnnotationManagerN4J/AnnotationStore 0.1";

    public static Logger logger = Logger.getLogger(AnnotationStoreRestlet.class);

    public AnnotationStoreRestlet(Context context) {
        super(context);
        logger.debug("StoreRestlet!");
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.restlet.Application#createInboundRoot()
     */
    @Override
    public Restlet createInboundRoot() {
        // this.authenticator = createAuthenticator();

        Router router = new Router(getContext());

        router.attach("/groups", AnnotationStoreGroups.class);
        router.attach("/groups/{id}", AnnotationStoreGroups.class);

        router.attach("/", AnnotationStoreInfo.class);
        // authenticator.setNext(router);
        // return authenticator;

        return router;
    }

    
    @Override
    public String getVersion() {
        return version;
    }

}
